Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.tera.gw/llms.txt

Use this file to discover all available pages before exploring further.

Model id: Qwen/Qwen2.5-7B-Instruct — pass this as the model field in API requests.

Spec

ProviderQwen
HuggingFaceQwen/Qwen2.5-7B-Instruct
Context length8,192 tokens
Max output4,096 tokens
Quantizationbf16
Input modalitiestext
Output modalitiestext

Pricing

per million tokens
Input$0.05
Output$0.10

Supported features

tools, json_mode, structured_outputs, logprobs

Sampling parameters

temperature, top_p, top_k, max_tokens, stop, seed, frequency_penalty, presence_penalty, repetition_penalty, logprobs, top_logprobs

Example

curl https://api.tera.gw/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $TERA_API_KEY" \
  -d '{
    "model": "Qwen/Qwen2.5-7B-Instruct",
    "messages": [{"role": "user", "content": "Hello"}],
    "max_tokens": 64
  }'